> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get raw Riot API data (v1)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json post /valorant/v1/raw
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v1/raw:
    post:
      tags:
        - valorant
      summary: Get raw Riot API data (v1)
      operationId: Raw
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RawV1Payload'
        required: true
      responses:
        '200':
          description: Raw Riot API data retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RawV1Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    RawV1Payload:
      type: object
      required:
        - type
        - value
        - region
      properties:
        platform:
          type:
            - string
            - 'null'
        queries:
          type:
            - string
            - 'null'
        region:
          type: string
        type:
          type: string
        value:
          $ref: '#/components/schemas/RawV1PayloadValues'
    RawV1Response:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/RawV1ResponseData'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    RawV1PayloadValues:
      oneOf:
        - type: string
        - type: array
          items:
            type: string
    RawV1ResponseData:
      oneOf:
        - {}
        - type: array
          items: {}
        - $ref: '#/components/schemas/RawV1ErrorData'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    RawV1ErrorData:
      type: object
      required:
        - error
        - code
        - id
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        error:
          type: boolean
        id:
          type: string

````